version: '3.2'

services:
  idmb_php:
    build: ./php
    container_name: imdb_php
    volumes:
      - ../server:/var/www/html
    ports:
      - '8184:80'
    environment:
      WEB_DOCUMENT_ROOT: /var/www/html/public/web
      WEB_DOCUMENT_INDEX: index.php
      PHP_MEMORY_LIMIT: 2048M
      PHP_UPLOAD_MAX_FILESIZE: 512M
      PHP_POST_MAX_SIZE: 512M
      PHP_DISPLAY_ERRORS: 1
      php.xdebug.max_nesting_level: 500
      XDEBUG_MODE: coverage
#      FPM_PROCESS_MAX: '128'
#      FPM_RLIMIT_CORE: 1
#      FPM_PM_MAX_CHILDREN: 10
#      FPM_PM_START_SERVERS: 5
#      FPM_PM_MIN_SPARE_SERVERS: 1
#      FPM_PM_MAX_SPARE_SERVERS: 2

    depends_on:
      - imdb_mysql

  imdb_mysql:
    build: ./mysql
    container_name: imdb_mysql
    environment:
      MYSQL_ROOT_PASSWORD: qwertyZ0ne
      MYSQL_DATABASE: my_imdb-db
      MYSQL_USER: admin
      MYSQL_PASSWORD: qwertyZ0ne
    ports:
      - '3333:3306'
    volumes:
      - ../my_imdb-db:/var/lib/mysql

  phpmyadmin:
    image: phpmyadmin/phpmyadmin:latest
    restart: always
    ports:
      - '8181:80'
    environment:
      PMA_ARBITRARY: 0
      PMA_HOST: 'imdb_mysql'
      MYSQL_PASSWORD: 'qwertyZ0ne'
    depends_on:
      - imdb_mysql

volumes:
  my_imdb-db: